
// ------------------------------------------------------------------------
// --> CALENDARI()
// ------------------------------------------------------------------------
// --> VERSION 1.0 Adaptacin a HARBOUR
// --> (c) by SARGANTANA SOFT -
// --> email : SargantanaSoft@GMAIL.COM
// --> 2 de Noviembre de 2018
// ------------------------------------------------------------------------
 * Esta funcin la he realizado al darme cuenta que la funcin MONTHCALENDAR cambia
 * de apariencia dependiendo de la versin de WINDOW que estemos utilizando y teniendo 
 * que ajustar nuestros ".PRG" porque al Billy Puertas le de la gana.
// ------------------------------------------------------------------------
 * --> Calendari(Ventana,nFil,ncol,dFecha,cColorNoMes,cColorMes,cColorDia,cColorDom)
 * --> PARAMETROS 
 * --> Ventana 		-> Window propietaria 
 * --> nFil, nCol	-> Fila y Columna donde mostraremos el calendario
 * --> PARAMETROS OPCIONALES
 * --> dFecha 		-> Opcional DATE()
 * --> cColorNoMes	-> Opcional, color del mes pasado o mes siguiente.
 * --> cColorMes		-> Opcional, color del mes de la fecha
 * --> cColorDia		-> Opcional, color del da
 * --> cColorDom		-> Opcional, color del Domingo
 * ----------------------------------------------------------------------------
 * 02 DE NOVIEMBRE DEL 2018 - AADIMOS ZEROS A UN NUMERO TRASFORMADO EN CADENA
 * ----------------------------------------------------------------------------
 * --> Transforma un numero en una cadena y rellena con ceros
 * --> cStrZero( <nNum>, [<nLen>] )
 * --> Parametros  <nNum> es el nmero a transformar en cadena.
 * --> 				<nLen> longitud mxima
 * --> Return  Nmero a cadena relleno de ceros
 * ----------------------------------------------------------------------------
 * 05 DE NOVIEMBRE DEL 2018 - SE INCLUYE EL DEFINE PARA PODER INCLUIRLO EN ".CH"
 * ----------------------------------------------------------------------------
 
*/
/*
   Decorated by Mustafa Lpez y el "Rateret" del Culebrn-Xinorlet-Pins (Alicante)
*/

// ---------------------------------------------------------------
// ---------------------------------------------------------------
// ESTA PARTE DEL CODIGO LA PUEDES INCORPORAR EN TUS ".ch" Y ASI
// SERA MAS FACIL LLAMAR A LA FUNCION.
// -----------------------------------------------------------------
// -----------------------------------------------------------------
#xcommand @ <row>,<col> CALENDARI ;
	[ PARENT <parent> ] ;
	[ VALUE  <value> ]   ;
	[ ONCHANGE <action> ] ;
	[ <verdia : VERDIA > ]   ;
	[ COLORNOMES <cColorNomes> ]   ;
	[ COLORMES   <cColorMes> ]   ;
	[ COLORDIA   <cColorDia> ]   ;
	[ COLORDOM   <cColorDom> ]   ;
	[ COLORINV   <cColorInv> ]   ;
	[ COLORFONDO <cColorFondo> ]   ;
	[ PARAMETROS <aParam> ]   ;
	=>;
	Calendari(<parent>,<row>,<col>,<value>,<.verdia.>,    ;
				<cColorNomes>,<cColorMes>,<cColorDia>,<cColorDom>,<cColorInv>,<cColorFondo> , ;
				<"action">,<"aParam"> )

// -----------------------------------------------------------------
// -----------------------------------------------------------------

				
#include "hmg.ch"
#include "hmg_boxlettershow.ch" 



PROCE Main()
	LOCAL Imagen := "Resource\Merry Christmas.jpg"	
	PUBLIC dFecha := DATE()
	SET CENTURY ON
	SET DATE FRENCH
	SET ESCAPE ON
	SET NAVIGATION EXTENDED
	SET LANGUAGE TO SPANISH 
	SET CODEPAGE TO SPANISH
	SET DELETED ON
	SET DATE FORMAT TO 'dd/mm/yyyy'
	  
	DEFINE WINDOW Form_1;
		AT 0, 0;
		WIDTH  645;
		HEIGHT 490;
		ICON "Calen";
		BACKCOLOR { 132,195,248 } ;
		NOMAXIMIZE NOSIZE ;
		TITLE  "Calendari Idus Martiae" ;
		MAIN
		
		ON KEY ESCAPE ACTION ThisWindow.Release
		
		
		// ---------------------------------------------------------------------------------
		// ---------------------------------------------------------------------------------
		// --> PUEDES LLAMAR AL CALENDARIO DE ESTAS FORMAS
		
		*	CALENDARI("Form_1",090,075,@dFecha,.T. ) 
		
		*  	dFecha:=CALENDARI("Form_1",090,075,@dFecha,.T.) //-> + los parametros opcionales
			
		* 	O como esta.., pero la funcion ONCHAGE no puede llevar parametros, 
		*   solo puedes pasarle uno mediante PARAMETROS 
		*   Y el parametro, si es una variable tiene que estar definido como PUBLIC

			
			@ 90, 75 CALENDARI PARENT "Form_1" ;
				VALUE @dFecha ;
				ONCHANGE Ver_imagen() ;
				PARAMETROS dFecha ;
				VERDIA ;
				COLORNOMES GREEN
		//      ETC., ETC
		//----------------------------------------------------------------------------------
		//----------------------------------------------------------------------------------
		

		@ 10,10 TEXTBOX Text_1 VALUE " " MAXLENGTH 15 RIGHTALIGN ;
				ON GOTFOCUS Form_1.Text_1.Value:=DTOS(dFecha)

		@ 395, 110 BUTTON EXit             ;
			CAPTION SPACE(5)-"&Exit"         ;
			PICTURE "Resource\exit.bmp"      ;    
			WIDTH  96                        ;
			HEIGHT 34                        ;
			ACTION Form_1.Release             ;
			TOOLTIP 'Exit'                   ; 
			FONT "ARIAL" SIZE 09 BOLD ITALIC ;    
			LEFT       

		*------------------------------------------------------------------------------------------------------------*
		*------------------------------------------------------------------------------------------------------------*

		LetterShadow( 023, 430,"03hi" ,"04hi", "FOTOS XULAS" ,"", 13,.T.,.F., 254,230,068 )   
		BoxBox( 055 , 306 , 317 , 162, "08hi",.T.,  253, 209, 209  )   
		*------------------------------------------------------------------------------------------------------------*      
		*---------------------------------- Foto Estaciones ---------------------------------------------------------*
		@ 060,312 IMAGE Image_1 ;   
			PICTURE (imagen)        ;   
			WIDTH 306 HEIGHT 152  
		*------------------------------------------------------------------------------------------------------------*
		*------------------------------------------------------------------------------------------------------------*

   END  WINDOW

   SETWINDOWCURSOR ( Form_1.dhoy.Handle, "Resource\Hand_Cursor.cur")  
   SETWINDOWCURSOR ( Form_1.EXit.Handle, "Resource\link-select.cur") 

   CENTER   WINDOW Form_1
   ACTIVATE WINDOW Form_1
   
   RETURN NIL

PROCEDURE VER_IMAGEN(dFecha)

	DEFAULT dFecha:=DATE()
	DO CASE
		CASE MONTH( dFecha ) == 12 
			imagen := "Resource\Merry Christmas.jpg"  // <---- NAVIDAD.JPG"
		CASE MONTH( dFecha ) = 1  .OR. MONTH( dFecha ) < 4
			imagen := "Resource\Invierno.jpg"
		CASE MONTH( dFecha ) > 3 .AND. MONTH( dFecha ) < 7
			imagen := "Resource\Primavera.jpg "
		CASE MONTH( dFecha ) > 6 .AND. MONTH( dFecha ) < 10  
			imagen := "Resource\Verano.jpg"
		CASE MONTH( dFecha ) > 9 .AND. MONTH( dFecha ) < 13
			imagen := "Resource\Otonyo.jpg"
	ENDCASE 
	Form_1.Image_1.Picture:=Imagen
	
RETURN
   
*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

//-------------------------------------------------------------
//-------------------------------------------------------------
// --> FUNCION GENERICA PARA MOSTRAR UN CALENDARIO OPERATIVO
//-------------------------------------------------------------
//--> Calendari(Ventana,nFil,ncol,dFecha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo,xFuncion,aParam)
//--> PARAMETROS 
//--> Ventana 		-> Window propietaria 
//--> nFil, nCol	-> Fila y Columna donde mostraremos el calendario
//--> PARAMETROS OPCIONALES
//--> dFecha 		-> Opcional DATE()
//--> lDia 			-> Opcional .T. se mostrar dia .f. no se mostrara
//--> cColorNoMes	-> Opcional, color del mes pasado o mes siguiente.
//--> cColorMes		-> Opcional, color del mes de la fecha
//--> cColorDia		-> Opcional, color del da
//--> cColorDom		-> Opcional, color del Domingo
//--> cColorInv		-> Opcional, color Inverso
//--> cColorFondo	-> Opcional, Color Fondo
//--> Funcion		-> Opcional, Si queremos que ejecute algo
//--> aParam		-> Opcional, es 1 sola variable a traspasar en la FUNCION anterior

FUNCTION Calendari(Ventana,nFil,ncol,dFecha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo,xFuncion,aParam)
	LOCAL nWeek,nDay,cTB, n1, cFunc
	LOCAL aDia:={"Lu","Ma","Mi","Ju","Vi","Sa","Do"}
	DEFAULT cColorFondo	:={190,210,198}
	DEFAULT nFil        :=nCol:=1
	DEFAULT dFecha      :=DATE()
	DEFAULT cColorNomes :=GRAY
	DEFAULT cColorMes   :=BLUE
	DEFAULT ccolorDia   := { 045,094,012 }  // WHITE  GREEN  YELLOW    BLACK
	DEFAULT cColorDom   :=RED
	DEFAULT cColorInv	:=COLOR_SkyBlue
	DEFAULT lDia		:=.F.
	DEFAULT xFuncion:=""

	IF !EMPTY(xFuncion) 
		IF EMPTY(aParam)
			cFunc:=xFuncion
		 else
			n1=AT("(",xFuncion)
			cFunc :=substr(xFuncion,1,n1-1)+"("+ (aParam) +")"
		ENDIF
	ENDIF
		
	// ---> PINTA EL CUADRO
	*----------------------------------------------------------------------------------*
	NewBoxShadow( nFil-3, 054, 220, 215 ,"05hi" ,"06hi","07hi", .T. , .t. , .T. , 255,255,255,   253, 209, 209   )  
	SETPROPERTY(Ventana,"Label_05hi","Enabled",.F.)
	SETPROPERTY(Ventana,"Label_06hi","Enabled",.F.)
	SETPROPERTY(Ventana,"Label_07hi","Enabled",.F.)
	*----------------------------------------------------------------------------------*
    Box( nFil-8 , 047 , 222 , 214, "08hiQ",cColorFondo[1],cColorFondo[2],cColorFondo[3]) //     rOSA-->  253, 209, 209  )      
	SETPROPERTY(Ventana,"Label_08hiQ","Enabled",.F.)
	*----------------------------------------------------------------------------------*

	@ nFil,ncol LABEL LBTras VALUE "<<" WIDTH 30 CENTERALIGN  BOLD  FONTCOLOR BLUE  BACKCOLOR cColorFondo ;  
			ACTION (DoMethod(Ventana,"HOY","SETFOCUS"),dFecha:=Restames(dFecha), Carga_cal(Ventana,dFEcha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo),  Proxima_Fecha(Ventana,dFecha,lDia),;
			   	  	IF(!empty(xFuncion),&(cFunc),nil)  )
	
	@ nFIL,ncol+50 LABEL Fecha1 VALUE dFecha WIDTH 70 FONTCOLOR BLUE BACKCOLOR cColorFondo CENTERALIGN 
	
	@ nFil,ncol+140 LABEL LBAdel VALUE ">>" WIDTH 30 CENTERALIGN BOLD FONTCOLOR BLUE  BACKCOLOR cColorFondo ;  
			ACTION (DoMethod(Ventana,"HOY","SETFOCUS"),dFecha:=Sumames(dFecha),Carga_cal(Ventana,dFEcha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo), Proxima_Fecha(Ventana,dFecha,lDia) ,;
					IF(!empty(xFuncion),&(cFunc),nil)  )

	nFil += 60
	FOR nWeek = 1 to 6
		FOR nDay = 1 to 7
			// --> Pongo los nombres de los dias de la semana
			IF nWeek=1
				cTb="cTbd_"+cStrZero(nWeek,1)+cStrZero(nDay,1)
				@ nFil-30,nCol+(25*(nDay-1)) LABEL &cTb CENTERALIGN VALUE aDia[nDay] WIDTH 20  FONTCOLOR BLUE 	BACKCOLOR  cColorFondo
			ENDIF
			// --> Por los dias	del mes
			cTb="cTb_"+cStrZero(nWeek,1)+cStrZero(nDay,1)
			@ nFil+(20*(nWeek-1)) , nCol+(25*(nDay-1)) LABEL &cTb CENTERALIGN VALUE " " WIDTH 20 HEIGHT 16 FONTCOLOR BLUE BACKCOLOR cColorFondo ;
					ACTION (Cambia_dia(Ventana,This.Value,@dFecha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo),Proxima_Fecha(Ventana,dFecha,lDia),DoMethod(Ventana,"HOY","SETFOCUS"),;
							IF(!empty(xFuncion),&(cFunc),nil) )
		NEXT
	NEXT

	@ nFil+(20*(nWeek-1)) ,ncol+50 LABEL dhoy VALUE " HOY " WIDTH 70 HEIGHT 12 FONTCOLOR BLUE  BACKCOLOR cColorFondo CENTERALIGN ;
		ACTION (DoMethod(Ventana,"HOY","SETFOCUS"),dFecha:=DATE(),	Carga_cal(Ventana,dFEcha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo), Proxima_Fecha(Ventana,dFecha,lDia)  ,;
				IF(!empty(xFuncion),&(cFunc),nil) )
		
	@ nFil+170, 14 BUTTON ANTERIOR          ;
        CAPTION SPACE(3)-"&Previous"     ;
        PICTURE "Resource\btn_02.bmp"    ;
        WIDTH 96                         ;
        HEIGHT 34                        ;
        ACTION ( dFecha:=Restames(dFecha), Carga_cal(Ventana,dFEcha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo),Proxima_Fecha(Ventana,dFecha,lDia), IF(!empty(xFuncion),&(cFunc),nil) ) ;
        TOOLTIP 'Previous'               ; 
        FONT "ARIAL" SIZE 09 BOLD ITALIC ;    
        LEFT      
      
    @ nFil+170, 110 BUTTON HOY              ;
        CAPTION SPACE(4)-"&Today"        ;
        PICTURE "Resource\Today.bmp"     ;
        WIDTH 96                         ;
        HEIGHT 34                        ;
        ACTION (dFecha:=DATE(),	Carga_cal(Ventana,dFEcha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo), Proxima_Fecha(Ventana,dFecha,lDia),IF(!empty(xFuncion),&(cFunc),nil)   ) ;
        TOOLTIP 'Today'                  ; 
        FONT "ARIAL" SIZE 09 BOLD ITALIC ;    
        LEFT   
      
    @ nFil+170, 206 BUTTON POSTERIOR        ;
        CAPTION SPACE(4)-"&Next"         ;
        PICTURE "Resource\btn_03.bmp"    ;
        WIDTH 96                         ;
        HEIGHT 34                        ;
        ACTION (dFecha:=Sumames(dFecha),Carga_cal(Ventana,dFEcha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo), Proxima_Fecha(Ventana,dFecha,lDia),IF(!empty(xFuncion),&(cFunc),nil)   );
        TOOLTIP 'Next'                   ; 
        FONT "ARIAL" SIZE 09 BOLD ITALIC ;    
        LEFT   	
	
	IF lDia
		// --> Ahora ponemos la fecha, si es que toca.
		DEFINE IMAGE Fondo_10w  
			ROW 245 ; COL 386 ; WIDTH 156 ; HEIGHT 163   
			PICTURE 'resource\Calen00x.jpg'             
			STRETCH .T.
		END 	IMAGE

		*----------  Day ---------------------------------------------------------*
        @ 284,395 LABEL Label_02qA VALUE "" CENTERALIGN ;
                    FONT "Arial" SIZE 65 BOLD ITALIC BACKCOLOR   { 255,255,255 }  FONTCOLOR {000,000,066}  ; 
                    WIDTH 130 HEIGHT 80         
		*----------  Year --------------------------------------------------------*
        @ 270,494  LABEL Label_01zA VALUE "" ;         
                    FONT "Arial" SIZE 09 BOLD ITALIC BACKCOLOR   { 255,255,255 }  FONTCOLOR {000,000,066}  ;
                    WIDTH 40 HEIGHT 20 	
		*--------- Month ---------------------------------------------------------*
        @ 270,404 LABEL Label_12zA VALUE "" ; 
                     FONT "Arial" SIZE 09 BOLD ITALIC BACKCOLOR  { 255,255,255 }  FONTCOLOR {000,000,066}  ;
                    WIDTH 090 HEIGHT 020
		*--------- Day Date -------------------------------------------------------*
        @ 374,415 LABEL Label_13zA VALUE "" CENTERALIGN ;   
                    FONT "Arial" SIZE 12 BOLD ITALIC BACKCOLOR  { 255,255,255 }  FONTCOLOR {000,000,066}  ;
                    WIDTH 100 HEIGHT 28    
	ENDIF
	
	CARGA_CAL(Ventana,dFecha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo)
	
	Proxima_Fecha(Ventana,dFecha,lDia) 
	
RETURN dFecha

STATIC PROC CARGA_CAL(Ventana,dFecha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo)
	LOCAL cTB
	LOCAL dBoM, dStart
	LOCAL nWeek, nDay
	DEFAULT cColorFondo	:={190,210,198}
	DEFAULT dFecha:=DATE()
	DEFAULT cColorNomes :=GRAY
	DEFAULT cColorMes   :=BLUE
	DEFAULT ccolorDia   :=GREEN // { 045,094,012 }  // WHITE  GREEN  YELLOW    BLACK
	DEFAULT cColorDom   :=RED
	DEFAULT cColorInv	:=COLOR_SkyBlue

	dBoM   = dFecha - Day( dFecha ) + 1
	dStart = If( DoW( dBoM ) != 1, dBoM - DoW( dBoM ) + 2, dBoM - 6 )
	
	SETPROPERTY(Ventana,"Fecha1","Value",dFecha)
	
	FOR nWeek = 1 to 6
		FOR nDay = 1 to 7
			cTb="cTb_"+cStrZero(nWeek,1)+cStrZero(nDay,1)
			SETPROPERTY(Ventana,cTb,"Value",cStrZero(Day( dStart ),2) )
			SETPROPERTY(Ventana,cTb,"BACKCOLOR",cColorFondo)
			SETPROPERTY(Ventana,cTb,"FONTCOLOR",IF( Month( dStart ) == Month( dFecha ),If( dStart == dFecha, cColorDia, cColorMes ), cColorNomes ) )
			IF nDay = 7 .AND. Month( dStart ) == Month( dFecha ) .AND. dStart!=dFecha  //--> DOMINGOOOOL
				SETPROPERTY(Ventana,ctb,"FONTCOLOR",cColorDom)
			ENDIF
			IF dStart=dFecha 
				SETPROPERTY(Ventana,cTb,"BACKCOLOR",cColorInv)
			ENDIF
			dStart++
                    

		NEXT
	NEXT    

RETURN
//------------------------------------------------------------------------------------
STATIC PROC Cambia_DIA(Ventana,cDia,dFecha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo)
	local dBoM, dStart, nDif, nMes
	LOCAL i  := GetLastActiveControlIndex ()
	LOCAL aColor

	dBoM   = dFecha - Day( dFecha ) + 1
	dStart = If( DoW( dBoM ) != 1, dBoM - DoW( dBoM ) + 2, dBoM - 6 )
	nMes   = Month( dFecha )
	
	// --> Compruebo si he tocado el mes anterior o el siguiente
	aColor:=GETPROPERTY(Ventana,_HMG_SYSDATA [2] [i],"FONTCOLOR")

	IF aColor[1]=cColorNoMes[1] .AND. aColor[2]=cColorNomes[2] .AND. aColor[3]=cColorNomes[3] 
		IF VAL(cDia) > 20  
			dFecha:=RestaMes(dFecha)
		  ELSE
			WHILE DAY(dFecha)!=VAL(cDia) .OR. MONTH(dFecha)=nMes
				dFecha ++
			ENDDO
		ENDIF
	ENDIF
	// --> Voy a poner el dia que corresponde
	IF VAL(cDia) > DAY(dFecha)
		nDif=VAL(cDia)-DAY(dFecha)
		dFecha=dFecha+nDif
	   ELSE
	    nDif=DAY(dFecha)-VAL(cDia)
		dFecha=dFecha-nDif
	ENDIF
	
	Carga_cal(Ventana,@dFEcha,lDia,cColorNoMes,cColorMes,cColorDia,cColorDom,cColorInv,cColorFondo)
	
RETURN
// ----------------------------------------------------------------------------
STATIC function SumaMes( dFecha )

   local dTemp  := dFecha
   local nMonth := Month( dFecha )

   while Month( dTemp++ ) == nMonth
   enddo

return --dTemp + Day( dFecha ) - 1
// ----------------------------------------------------------------------------
STATIC function RestaMes( dFecha )

   local nDay := Day( dFecha )
   dFecha -= Day( dFecha )
   dFecha -= Day( dFecha )
   
return dFecha + nDay



// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// --> Transforma un numero en una cadena y rellena con ceros
// --> cStrZero( <nNum>, [<nLen>] )
// --> Parameteros  <nNum> es el nmero a transformar en cadena.
// --> 				<nLen> longitud mxima
// --> Return  Nmero a cadena relleno de ceros
FUNCTION cStrZero( nNum, nLen )

   local cSal, nSigno, nDe
   IF nNum < 0
      nSigno = - 1
      nNum = nNum * -1
     ELSE
      nSigno = 1
   ENDIF
   
   nDe=AT(".",STR(nNum))
   IF nDe!=0
      nDe=LEN(STR(nNum))-nDe
   ENDIF
   
   if nLen == nil
      cSal = StrTran( Str( nNum ), " ", "0" )
   else
      cSal = StrTran( Str( nNum, nLen, nDe ), " ", "0" )
   endif
   IF nSigno=-1
      cSal = "-"+SUBSTR(cSal,2)
   ENDIF


return cSal
**************************************************************************************************************************
*-----------------------------*
PROC Proxima_Fecha(Ventana,dFecha,lDia) 
*-----------------------------*
	IF lDia
		ProximaDate := dFecha  // <--- DATE()   
		ProxiNomDia := HB_OEMTOANSI( CDOW(ProximaDate))  
		ProximoMes  := CMONTH ( ProximaDate )  
		
		ProvaxDiaZ :=  SUBSTR(DTOC( ProximaDate ),1,2)  
		ProvaxDiaX :=  SUBSTR(DTOC( ProximaDate ),4,2)  
		ProvaxDiaA :=  SUBSTR(DTOC( ProximaDate ),7,4)  
		
		Atox :=  ProvaxDiaZ + ProvaxDiaX + ProvaxDiaA
		
		DprovaxDiaZ :=  SUBSTR(DTOC( DATE() ),1,2)  
		DprovaxDiaX :=  SUBSTR(DTOC( DATE() ),4,2)  
		DprovaxDiaA :=  SUBSTR(DTOC( DATE() ),7,4)  
		
		Dtox :=  DprovaxDiaZ + DprovaxDiaX + DprovaxDiaA
		
		SETPROPERTY(Ventana,"Fondo_10w","PICTURE",IF(Atox==Dtox,'Resource\Calen01x.jpg','resource\Calen00x.jpg' )	)
		SETPROPERTY(Ventana,"Label_01zA","VALUE",SUBSTR(DTOC( ProximaDate ),7,4) )
		SETPROPERTY(Ventana,"Label_02qA","VALUE",SUBSTR(DTOC( ProximaDate ),1,2) )
		SETPROPERTY(Ventana,"Label_12zA","VALUE",ProximoMes )
		SETPROPERTY(Ventana,"Label_13zA","VALUE",ProxiNomDia)
		
		SETPROPERTY(Ventana,"Label_01zA","BACKCOLOR",IF(Atox==Dtox,{253,099,000},{ 255,255,255 }) )
		SETPROPERTY(Ventana,"Label_02qA","BACKCOLOR",IF(Atox==Dtox,{253,099,000},{ 255,255,255 }))
		SETPROPERTY(Ventana,"Label_12zA","BACKCOLOR",IF(Atox==Dtox,{253,099,000},{ 255,255,255 }))
		SETPROPERTY(Ventana,"Label_13zA","BACKCOLOR",IF(Atox==Dtox,{253,099,000},{ 255,255,255 }))
	
	ENDIF
Return Nil
	
*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*




